Portal Tasks
List Portals (deprecated)
deprecated
Deprecated alias of GET /v1/portal-tasks. Returns the same payload; use /v1/portal-tasks for new integrations.
GET
/
v1
/
portals
List Portals (deprecated)
curl --request GET \
--url https://api.monk.com/v1/portals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.monk.com/v1/portals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.monk.com/v1/portals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monk.com/v1/portals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monk.com/v1/portals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monk.com/v1/portals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monk.com/v1/portals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"status": "not_started",
"ask": "<string>",
"priority": "<string>",
"blocker": "<string>",
"blockReason": "<string>",
"blockedBy": "<string>",
"rejectionReason": "<string>",
"rejectionNote": "<string>",
"sourceType": "<string>",
"owner": {
"id": "<string>",
"name": "<string>"
},
"labels": [
"<string>"
],
"customerIds": [
"<string>"
],
"invoiceIds": [
"<string>"
],
"customerName": "<string>",
"invoiceNumbers": [
"<string>"
],
"invoices": [
{
"id": "<string>",
"invoiceNumber": "<string>",
"status": "<string>",
"dueDate": "2023-12-25"
}
],
"portals": [
{
"customerId": "<string>",
"provider": "<string>",
"customProviderName": "<string>",
"portalUrl": "<string>"
}
],
"commentCount": 123,
"messageCount": 123,
"statusChangedAt": "2023-11-07T05:31:56Z",
"lastStatusCheckAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true,
"total": 123
}Scope:
portal:readAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by canonical status
Available options:
not_started, blocked, in_progress, submitted, approved, rejected, cancelled Filter to tasks covering the invoice
Filter to tasks covering the customer
Filter to tasks updated at or after this ISO 8601 datetime
Required range:
0 <= x <= 100Required range:
x >= 0⌘I
List Portals (deprecated)
curl --request GET \
--url https://api.monk.com/v1/portals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.monk.com/v1/portals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.monk.com/v1/portals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monk.com/v1/portals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monk.com/v1/portals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monk.com/v1/portals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monk.com/v1/portals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"status": "not_started",
"ask": "<string>",
"priority": "<string>",
"blocker": "<string>",
"blockReason": "<string>",
"blockedBy": "<string>",
"rejectionReason": "<string>",
"rejectionNote": "<string>",
"sourceType": "<string>",
"owner": {
"id": "<string>",
"name": "<string>"
},
"labels": [
"<string>"
],
"customerIds": [
"<string>"
],
"invoiceIds": [
"<string>"
],
"customerName": "<string>",
"invoiceNumbers": [
"<string>"
],
"invoices": [
{
"id": "<string>",
"invoiceNumber": "<string>",
"status": "<string>",
"dueDate": "2023-12-25"
}
],
"portals": [
{
"customerId": "<string>",
"provider": "<string>",
"customProviderName": "<string>",
"portalUrl": "<string>"
}
],
"commentCount": 123,
"messageCount": 123,
"statusChangedAt": "2023-11-07T05:31:56Z",
"lastStatusCheckAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true,
"total": 123
}